1. 06 Kas, 2018 1 kayıt (commit)
  2. 11 Eki, 2018 2 kayıt (commit)
  3. 05 Eki, 2018 1 kayıt (commit)
  4. 03 Eyl, 2018 1 kayıt (commit)
  5. 29 Agu, 2018 1 kayıt (commit)
  6. 27 Agu, 2018 1 kayıt (commit)
  7. 13 Agu, 2018 1 kayıt (commit)
  8. 08 Agu, 2018 1 kayıt (commit)
  9. 04 Tem, 2018 1 kayıt (commit)
  10. 25 Haz, 2018 1 kayıt (commit)
  11. 08 Haz, 2018 1 kayıt (commit)
  12. 07 Haz, 2018 1 kayıt (commit)
  13. 23 May, 2018 1 kayıt (commit)
  14. 19 May, 2018 1 kayıt (commit)
  15. 15 May, 2018 1 kayıt (commit)
  16. 04 May, 2018 1 kayıt (commit)
    • Tor Lillqvist's avatar
      Add a distro-config file for LibreOffice Vanilla on the Mac App Store · c1293a13
      Tor Lillqvist yazdı
      In addition to the options in this file, the following are present in
      our autogen.input for the 6.0 branch:
      
      --disable-ccache
      --enable-macosx-code-signing=<redacted>
      --enable-macosx-package-signing=<redacted>
      --with-external-tar=/Users/tml/lo/src
      --with-lang=bg br ca ca-valencia cy cs da de el en-US en-GB es et eu fi fr ga gd gl hr hu id is it ja km lt lv nb nl nn pl pt\
       pt-BR ro ru sk sl sv ta tr uk zh-CN zh-TW
      --with-macosx-bundle-identifier=com.collabora.libreoffice-free
      --with-product-name=LibreOffice Vanilla
      --with-package-version=<depends on version>
      --with-referenced-git=/Users/tml/lo/core
      --without-parallelism
      
      The language list is a guesstimate of what localisations are good
      enough. Suggestions of languages that should be dropped (or added)
      welcome.
      
      (We don't want a language with immediately visible holes (in top level
      menus or common dialogs) in the translation coverage. That is an
      insult to a user who would want to use that language and worse than
      not providing a localisation in that language at all. In my opinion.)
      
      Change-Id: I0dd1c2848cd964f6bf9e17d95d1735b81b235b1c
      c1293a13
  17. 12 Nis, 2018 2 kayıt (commit)
  18. 10 Nis, 2018 1 kayıt (commit)
  19. 09 Nis, 2018 1 kayıt (commit)
    • Stephan Bergmann's avatar
      Merge in Flatpak improvements · 727bfa2c
      Stephan Bergmann yazdı
      ...from <https://github.com/flathub/org.libreoffice.LibreOffice/>:
      
      commit 7a2393f5fcab8c6938180c4718f2c61acd495528
      Author: Robert McQueen <rob@endlessm.com>
      Date:   Tue Apr 3 10:41:22 2018 +0100
      
          port to freedesktop.org 1.6 runtime
      
          Gtk+3/GIO/etc dependencies used by LO in "GNOME" mode are actually
          included in the freedesktop.org runtime. Try to build against fd.o
          by downgrading gst-libav (fd.o has gst 1.10 rather than gnome's 1.12),
          bundling dbus-glib and disable Gtk+ 2.
      
      commit 42650da01f270e86bfb40035a9194b23ccf24c4c
      Author: Robert McQueen <rob@endlessm.com>
      Date:   Tue Apr 3 11:23:27 2018 +0100
      
          fix up LD_LIBRARY_PATH with gcc7
      
          Append to library path rather than resetting it (causes build failures
          due to overriding /app/lib).
      
      commit 3e4c655294c8124cb54e1c651ec4dc1230b8151e
      Author: Robert McQueen <rob@endlessm.com>
      Date:   Tue Apr 3 11:25:02 2018 +0100
      
          fixup solenv/bin/assemble_flatpak.sh
      
          Use mkdir -p to be robust to other modules (ie dbus-glib) creating
          some of the paths before we do.
      
      commit d1d449ffa837b1de876f524494dbce09ec92ce73
      Author: Robert McQueen <rob@endlessm.com>
      Date:   Wed Apr 4 15:50:49 2018 +0100
      
          split resource/registry data into Locales extension
      
          Move the language-specific data into the /app/share/runtime path which
          flatpak-builder splits into the Locale extension if we re-enable
          separate-locales. We symlink the original locations back to these paths, which
          means we have dangling symlinks depending on which Locale sutpaths are
          installed.
      
          Include Stephan Bergmann's patch from https://gerrit.libreoffice.org/#/c/52381/
          to make the configmgr robust to such dangling links.
      
      commit ad6674f166c68fb79e19d80950a104a0a33f81dc
      Author: Robert McQueen <rob@endlessm.com>
      Date:   Wed Apr 4 16:05:28 2018 +0100
      
          make locale split glob more specific
      
          This loop will fail if the share/registry/res folder gains any .xcd
          files which are not named fcfg_langpack_* or registry_* so just to
          be safe, only glob these files.
      
      Change-Id: Icd41d7077b9f308dbb196927715b210328709662
      Reviewed-on: https://gerrit.libreoffice.org/52642Tested-by: 's avatarJenkins <ci@libreoffice.org>
      Reviewed-by: 's avatarStephan Bergmann <sbergman@redhat.com>
      727bfa2c
  20. 15 Mar, 2018 1 kayıt (commit)
    • Stephan Bergmann's avatar
      --without-lxml for Flatpak builds · 28e8c3e2
      Stephan Bergmann yazdı
      where the Yocto-based GNOME SDK provides no python lxml, but building LO's
      internal one fails because it internally uses {xml2,xslt}-config, and those are
      broken by (mis?-)design in Yocto, just returning with exit code 1.
      
      It didn't work well to pass applications of pkg-config into the external/lxml
      build as replacements for --with-{xml2,xslt}-config (as is successfully done
      elsewhere with 1462b278 "Adapt the
      external/redland/raptor/xml2-config.patch to raptor2-2.0.15"), so just run
      gla11y in its slightly limited form without lxml in the Flatpak build.
      
      Change-Id: I2d42901373c8c861b16da385c37bcc24d6e783fd
      Reviewed-on: https://gerrit.libreoffice.org/51321Tested-by: 's avatarJenkins <ci@libreoffice.org>
      Reviewed-by: 's avatarStephan Bergmann <sbergman@redhat.com>
      28e8c3e2
  21. 05 Mar, 2018 1 kayıt (commit)
  22. 19 Şub, 2018 1 kayıt (commit)
  23. 18 Ock, 2018 2 kayıt (commit)
  24. 08 Ock, 2018 1 kayıt (commit)
  25. 04 Ock, 2018 1 kayıt (commit)
    • jan Iversen's avatar
      iOS disable gpgme · 3584c954
      jan Iversen yazdı
      Disable gpgme called for passing parameters to configure, when called
      internally (to generate config_build etc).
      
      Update the distro-conf, with info on the different supported models
      
      Change-Id: I884c8638bf7b1c9fbc8ea4bdaa4dfca019857f45
      3584c954
  26. 03 Ock, 2018 1 kayıt (commit)
  27. 06 Ara, 2017 1 kayıt (commit)
    • Stephan Bergmann's avatar
      Remove CXXFLAGS_CXX11 from Clang plugin compilation · e754d093
      Stephan Bergmann yazdı
      CXXFLAGS_CXX11 is for the compiler used to compile LO proper.  The plugin needs
      to be compiled in a way compatible with compiling Clang, and the compiler and
      any relevant flags can be controlled with COMPILER_PLUGINS_CXX.  (And at least
      on macOS when compiling LO against a locally-built recent Clang trunk,
      CXXFLAGS_CXX11 will now contain -std=gnu++17, but COMPILER_PLUGINS_CXX can still
      point at Apple's Xcode clang++, which does not understand -std=gnu++17.)
      
      Also, if COMPILER_PLUGINS_CXX is not set, simply default it to g++ instead of
      trying to construct an acceptable CLANGCXX value from CXX (which would be
      Clang).  (The problem with using Clang without CXXFLAGS_CXX11 is that Clang,
      unlike GCC, typically defaults to C++03, but building compilerplugins requires
      C++11 at least.  That would cause e.g. the Gerrit/Jenkins linux_clang_dbgutil_64
      builds to fail---but which also needs COMPILER_PLUGINS_CXX to be explicitly set
      to "g++ -std=c++11" as GCC on those machines is still 4.8.5 defaulting to
      C++03.)
      
      Change-Id: Id4ee4e54fa871cb6e621069cd050ae5b31922b34
      Reviewed-on: https://gerrit.libreoffice.org/45856Tested-by: 's avatarJenkins <ci@libreoffice.org>
      Reviewed-by: 's avatarStephan Bergmann <sbergman@redhat.com>
      e754d093
  28. 29 Kas, 2017 1 kayıt (commit)
  29. 28 Kas, 2017 2 kayıt (commit)
  30. 30 Eki, 2017 1 kayıt (commit)
  31. 11 Eki, 2017 2 kayıt (commit)
  32. 04 Eki, 2017 1 kayıt (commit)
  33. 23 Eyl, 2017 1 kayıt (commit)
    • jan Iversen's avatar
      iOS, update distro · ac95e04e
      jan Iversen yazdı
      Added copy of autogen.input that works for arm64 and simulator.
      
      Some of the disabled libraries might work, that is future work.
      
      Change-Id: I7df3491872a1f13110dd49655fdc0a4ede3bfa28
      ac95e04e
  34. 07 Eyl, 2017 1 kayıt (commit)
  35. 04 Eyl, 2017 1 kayıt (commit)